create table fee_detail
(
    ID                 varchar(36)             not null
        primary key,
    TENANCY_ID         varchar(36)             null,
    FEE_BILL_ID        varchar(36)             null comment '账单ID',
    FEE_BILL_NO        varchar(20)             null comment '账单号',
    VBILL_ID           varchar(24)             null comment '委托ID',
    VBILL_NO           varchar(24)             null comment '委托号',
    BUSSINESS_CODE     varchar(36)             null comment '业务号',
    FEE_GROUP_ID       varchar(36)             null comment '费类',
    WORK_TYPE_CODE     varchar(2)              null comment '作业类型',
    FEE_LIST_ID        varchar(36)             null comment '费目编号',
    TARIFF_ID          varchar(36)             null comment '费率编号',
    CLIENT_CODE        varchar(36)             null comment '计费单位',
    CLIENT_NAME        varchar(40)             null comment '计费单位名称',
    CLIENT_DESC        varchar(40)             null comment '自定义结算单位',
    WEIGHT             decimal(14, 3)          null comment '重量',
    VOLUME             decimal(14, 3)          null comment '体积',
    PIECES             decimal(14, 3)          null comment '件数',
    QUANTITY           decimal(12, 3)          null comment '作业量（计费吨，小时）总金额=单价*作业量*堆存天',
    ACTUAL_RATE        decimal(12, 3)          null comment '费率',
    CALC_MONEY         decimal(12, 3)          null comment '计算金额',
    DERATE_MONEY       decimal(12, 3)          null comment '减免金额',
    FINAL_MONEY        decimal(12, 3)          null comment '最终金额',
    DISCOUNT           decimal(12, 3)          null comment '折扣--暂时不用',
    ST_RATE            decimal(12, 3)          null comment '标准费率',
    ST_MONEY           decimal(12, 3)          null comment '标准金额',
    PAYMENT_TYPE       decimal(1)              null comment '收费类型:1 现金2 月结3=刷卡4=汇款5=支票6=挂账',
    ENTERED_FLAG       varchar(1)  default '0' null comment '手工标记',
    ITEM_CODE          varchar(20)             null comment '费目代码',
    NOTES              varchar(2000)           null comment '备注',
    CURRENCY           varchar(36)             null comment '币种',
    UNIT_ID            varchar(5)              null comment '计费单位',
    SETTLE_BY          varchar(32)             null comment '结算人',
    SETTLE_ON          datetime                null comment '结算日期',
    INVOICE_NO         varchar(20)             null comment '发票编号',
    INVOICE_KIND       decimal(2)              null comment '0专用发票, 2普通发票',
    CONTRACT_ID        varchar(36)             null comment '协议编号',
    CONTRACT_NAME      varchar(50)             null comment '协议名称',
    CHECK_FLAG         varchar(1)              null comment '审核标志',
    CHECK_NAME         varchar(10)             null,
    CHECK_TIME         datetime                null,
    INVALID_FLAG       varchar(1)  default '0' null comment '作废标志',
    INVALID_BY         varchar(36) default '0' null,
    INVALID_ON         datetime                null,
    CREATED_BY         varchar(36)             null,
    CREATED_ON         datetime                null,
    UPDATED_BY         varchar(36)             null,
    UPDATED_ON         datetime                null,
    PAY_RECEIVE_TYPE   varchar(2)  default '0' null comment '收费类型(0=应收1=应付)',
    SERIAL_NO          varchar(36)             null,
    JOB_CATEGORY_CODE  varchar(36)             null comment '业务类别代码',
    JOB_FINISH_DATE    datetime                null comment '业务时间，用于寻找合同的有效时间',
    ENABLED            decimal(1)              null comment '是否参考价：0=否1=是',
    OUT_TIME           datetime                null comment '出场时间',
    IN_TIME            datetime                null comment '进场时间',
    PAY_FLAG           decimal(1)  default 0   null comment '收费标记(0:未收费 1:已收费)',
    SETTLE_TIME_ON     datetime                null comment '结算开始时间（计费日期）',
    SETTLE_TIME_END    datetime                null comment '结算终止时间（计费日期）',
    ENTERED_NODES      varchar(1000)           null comment '手工备注',
    DERATE_DAYS        decimal(5)              null comment '减免天（免堆期）',
    SETTLE_DAYS        decimal(5)              null comment '总堆存天',
    INVOICE_TYPE       varchar(32)             null,
    SETTLEMENT_CODE    varchar(32)             null,
    ORIGINAL_ITEM_NAME varchar(50)             null,
    CALC_DAYS          decimal(5)              null comment '计费天',
    SOURCE_ITEM_CODE   varchar(32)             null comment '来源费目编码',
    TARIFF_NOTE        varchar(100)            null comment '费率信息核对',
    TARIFF_DESCRIPTION varchar(100)            null comment '费率条件信息',
    SETTLE_STATUS      decimal(1)  default 0   null comment '结算标识(0:未结算 1:已结算)'
);

